public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/mc/
Date: Thu, 21 Jan 2021 20:45:46 +0000 (UTC)	[thread overview]
Message-ID: <1611261941.4a0405746f17dfeca044a624ae8508d6118c84ea.polynomial-c@gentoo> (raw)

commit:     4a0405746f17dfeca044a624ae8508d6118c84ea
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 21 20:45:41 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jan 21 20:45:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a040574

app-misc/mc: Bump to version 4.8.26

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-misc/mc/Manifest         |   1 +
 app-misc/mc/mc-4.8.26.ebuild | 106 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/app-misc/mc/Manifest b/app-misc/mc/Manifest
index f94aa2c85e2..8b7d87ff2d5 100644
--- a/app-misc/mc/Manifest
+++ b/app-misc/mc/Manifest
@@ -1 +1,2 @@
 DIST mc-4.8.25.tar.xz 2488324 BLAKE2B 47047c85fbe3ce1c54b9a3477c35fb05d76b3688205bfd13db03844bb9d8b3e74498ef4d6b449cfcf79c0188687accd93602274b7e8c0cbffc5247d433e33272 SHA512 51913fd41df18b49498b97ad8e13aa4365cec24ab24169b1abe93209263e4cfea4b52e0faccaf934182c84e8eb5dc49336c885358b4b66c48d38900f890fde5e
+DIST mc-4.8.26.tar.xz 2492612 BLAKE2B e13ab99fb7d5a9e2cf1149ad96d763681b0186fbf5c03fc9e349a57a4a6f48b598c9eeed85e4cb94a18c5c5b89d4ee0e21f6d34c8cfd5e21da53551085aa3469 SHA512 f2f06915b775ecc94016fe5d5db9301e953cc89ee0708e79ee96e14a9f53142a467b27061ca57f65b40310fa86d4d13e2f2a29a601f8fefa6216fb10f73007be

diff --git a/app-misc/mc/mc-4.8.26.ebuild b/app-misc/mc/mc-4.8.26.ebuild
new file mode 100644
index 00000000000..0739b78af28
--- /dev/null
+++ b/app-misc/mc/mc-4.8.26.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+MY_P=${P/_/-}
+
+DESCRIPTION="GNU Midnight Commander is a text based file manager"
+HOMEPAGE="https://www.midnight-commander.org"
+SRC_URI="http://ftp.midnight-commander.org/${MY_P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
+IUSE="+edit gpm nls samba sftp +slang spell test unicode X +xdg"
+
+REQUIRED_USE="spell? ( edit )"
+
+RDEPEND=">=dev-libs/glib-2.26.0:2
+	gpm? ( sys-libs/gpm )
+	kernel_linux? ( sys-fs/e2fsprogs )
+	samba? ( net-fs/samba )
+	sftp? ( net-libs/libssh2 )
+	slang? ( >=sys-libs/slang-2 )
+	!slang? ( sys-libs/ncurses:0=[unicode?] )
+	spell? ( app-text/aspell )
+	X? ( x11-libs/libX11
+		x11-libs/libICE
+		x11-libs/libXau
+		x11-libs/libXdmcp
+		x11-libs/libSM )"
+DEPEND="${RDEPEND}
+	app-arch/xz-utils
+	virtual/pkgconfig
+	nls? ( sys-devel/gettext )
+	test? ( dev-libs/check )
+	"
+
+RESTRICT="!test? ( test )"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_pretend() {
+	if use slang && use unicode ; then
+		ewarn "\"unicode\" USE flag only takes effect when the \"slang\" USE flag is disabled."
+	fi
+}
+
+src_configure() {
+	[[ ${CHOST} == *-solaris* ]] && append-ldflags "-lnsl -lsocket"
+
+	local myeconfargs=(
+		--enable-charset
+		--enable-vfs
+		--with-homedir=$(usex xdg 'XDG' '.mc')
+		--with-screen=$(usex slang 'slang' "ncurses$(usex unicode 'w' '')")
+		$(use_enable kernel_linux vfs-undelfs)
+		# Today mclib does not expose any headers and is linked to
+		# single 'mc' binary. Thus there is no advantage of having
+		# a library. Let's avoid shared library altogether
+		# as it also conflicts with sci-libs/mc: bug #685938
+		--disable-mclib
+		$(use_enable nls)
+		$(use_enable samba vfs-smb)
+		$(use_enable sftp vfs-sftp)
+		$(use_enable spell aspell)
+		$(use_enable test tests)
+		$(use_with gpm gpm-mouse)
+		$(use_with X x)
+		$(use_with edit internal-edit)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_test() {
+	# CK_FORK=no to avoid using fork() in check library
+	# as mc mocks fork() itself: bug #644462.
+	#
+	# VERBOSE=1 to make test failures contain detailed
+	# information.
+	CK_FORK=no emake check VERBOSE=1
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	dodoc AUTHORS README NEWS
+
+	# fix bug #334383
+	if use kernel_linux && [[ ${EUID} == 0 ]] ; then
+		fowners root:tty /usr/libexec/mc/cons.saver
+		fperms g+s /usr/libexec/mc/cons.saver
+	fi
+
+	if ! use xdg ; then
+		sed 's@MC_XDG_OPEN="xdg-open"@MC_XDG_OPEN="/bin/false"@' \
+			-i "${ED}"/usr/libexec/mc/ext.d/*.sh || die
+	fi
+}
+
+pkg_postinst() {
+	elog "To enable exiting to latest working directory,"
+	elog "put this into your ~/.bashrc:"
+	elog ". ${EPREFIX}/usr/libexec/mc/mc.sh"
+}


             reply	other threads:[~2021-01-21 20:45 UTC|newest]

Thread overview: 214+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-21 20:45 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-09  9:29 [gentoo-commits] repo/gentoo:master commit in: app-misc/mc/ Jakov Smolić
2024-10-09  8:47 Arthur Zamarin
2024-10-09  7:27 Arthur Zamarin
2024-10-03 16:11 Arthur Zamarin
2024-10-03 15:50 Jakov Smolić
2024-10-03  8:47 Sam James
2024-10-03  8:47 Sam James
2024-10-03  8:12 Sam James
2024-08-24 11:53 Viorel Munteanu
2024-08-24 11:53 Viorel Munteanu
2024-08-09  7:14 Viorel Munteanu
2024-06-28 12:01 Viorel Munteanu
2024-05-11 15:19 Sam James
2024-04-24 14:18 Sam James
2024-04-24 14:17 Sam James
2024-04-24 14:11 Sam James
2024-04-24 14:11 Sam James
2024-04-24 14:11 Sam James
2024-04-24 14:11 Sam James
2024-04-24 14:07 Sam James
2024-04-07 14:05 Marek Szuba
2024-01-24 16:30 Marek Szuba
2024-01-17  2:46 Ionen Wolkens
2023-12-30  6:38 Arthur Zamarin
2023-12-26 21:26 Sam James
2023-12-26 19:01 Arthur Zamarin
2023-12-26 19:01 Arthur Zamarin
2023-12-26 18:51 Arthur Zamarin
2023-12-26 18:47 Arthur Zamarin
2023-08-19 11:15 Marek Szuba
2023-08-19 11:15 Marek Szuba
2023-03-24 15:23 Arthur Zamarin
2023-03-24 14:26 Arthur Zamarin
2023-03-23  0:33 Sam James
2023-03-22 23:57 Sam James
2023-03-22 23:57 Sam James
2023-03-22 23:57 Sam James
2023-03-22 23:44 Sam James
2023-03-22 23:44 Sam James
2023-02-04 23:29 Marek Szuba
2023-02-04 23:29 Marek Szuba
2022-11-20 22:17 Marek Szuba
2022-11-18  8:02 Arthur Zamarin
2022-11-08  5:00 Jakov Smolić
2022-11-06  4:00 Sam James
2022-11-06  3:59 Sam James
2022-11-06  3:59 Sam James
2022-11-06  3:59 Sam James
2022-11-06  3:59 Sam James
2022-11-06  3:59 Sam James
2022-09-07 15:15 Marek Szuba
2022-08-30  8:06 Marek Szuba
2022-06-30  7:02 Agostino Sarubbo
2022-06-30  7:01 Agostino Sarubbo
2022-06-29 17:43 Arthur Zamarin
2022-06-29 17:41 Arthur Zamarin
2022-06-29 17:41 Arthur Zamarin
2022-06-29 17:22 Arthur Zamarin
2022-06-29 11:58 Sam James
2022-06-29  8:04 Agostino Sarubbo
2022-04-09  4:37 Sam James
2022-03-27 20:03 Lars Wendler
2022-03-27 20:03 Lars Wendler
2021-11-05 12:45 Lars Wendler
2021-10-02 19:24 Lars Wendler
2021-09-18  4:51 Sam James
2021-09-05 20:07 Agostino Sarubbo
2021-09-05 20:04 Agostino Sarubbo
2021-09-04 21:39 Sam James
2021-09-04 21:29 Sam James
2021-09-04 15:45 Sam James
2021-09-03 21:17 Sam James
2021-09-03  6:34 Agostino Sarubbo
2021-08-27 10:29 Marek Szuba
2021-08-11 22:57 Marek Szuba
2021-07-14 23:32 Marek Szuba
2021-07-13 12:02 Marek Szuba
2021-07-03 20:12 Piotr Karbowski
2021-07-02  9:34 Sergei Trofimovich
2021-07-02  9:22 Lars Wendler
2021-07-02  9:18 Marek Szuba
2021-06-21 14:05 Marek Szuba
2021-05-09 11:53 Sergei Trofimovich
2021-05-05  8:33 Sergei Trofimovich
2021-05-04 19:13 Sam James
2021-05-03 16:58 Sam James
2021-05-03 16:57 Sam James
2021-05-03 16:55 Sam James
2021-05-03 16:53 Sam James
2021-05-03 16:51 Sam James
2021-05-02  9:24 Sergei Trofimovich
2021-03-13  9:53 Sergei Trofimovich
2021-03-07 14:41 Agostino Sarubbo
2021-03-07 14:02 Sergei Trofimovich
2021-03-06 18:38 Sam James
2021-03-06 18:38 Sam James
2021-03-06 18:37 Sam James
2021-03-06 18:36 Sam James
2021-03-06 15:37 Thomas Deutschmann
2021-02-03  8:09 Sergei Trofimovich
2021-01-09 11:55 Sergei Trofimovich
2021-01-06 13:19 Fabian Groffen
2021-01-05 20:51 Sam James
2021-01-03 12:10 Sergei Trofimovich
2021-01-03 11:51 Sergei Trofimovich
2021-01-02 11:52 Sergei Trofimovich
2020-12-30  0:24 Sam James
2020-12-30  0:24 Sam James
2020-12-29 19:50 Sergei Trofimovich
2020-12-29  9:47 Sam James
2020-12-15 10:30 Sam James
2020-12-12 21:25 Sergei Trofimovich
2020-12-11 23:10 Sergei Trofimovich
2020-12-11 23:07 Sergei Trofimovich
2020-12-09 22:38 Sergei Trofimovich
2020-12-07  0:11 Sam James
2020-12-07  0:10 Sam James
2020-12-06 17:05 Thomas Deutschmann
2020-11-26 19:35 Jonas Stein
2020-07-18 20:22 Lars Wendler
2020-07-07  8:37 Sergei Trofimovich
2020-03-21  9:24 Mart Raudsepp
2020-03-08  9:58 Sergei Trofimovich
2020-03-04  8:07 Agostino Sarubbo
2020-03-04  8:07 Agostino Sarubbo
2020-03-03 14:38 Agostino Sarubbo
2020-03-03 12:40 Agostino Sarubbo
2020-03-03 12:39 Agostino Sarubbo
2020-03-03 11:46 Agostino Sarubbo
2020-03-03 11:08 Agostino Sarubbo
2020-02-12 19:57 Sergei Trofimovich
2020-02-11 11:30 Agostino Sarubbo
2020-02-11 11:09 Agostino Sarubbo
2020-02-11 10:58 Agostino Sarubbo
2020-02-11 10:55 Agostino Sarubbo
2020-02-11  9:51 Agostino Sarubbo
2020-02-11  9:43 Agostino Sarubbo
2020-02-10 18:10 Agostino Sarubbo
2020-01-20  7:52 Sergei Trofimovich
2020-01-20  7:52 Sergei Trofimovich
2020-01-20  7:52 Sergei Trofimovich
2019-11-09 14:18 Sergei Trofimovich
2019-11-09 13:58 Sergei Trofimovich
2019-09-16  6:52 Agostino Sarubbo
2019-09-14 23:28 Sergei Trofimovich
2019-09-13 18:19 Mikle Kolyada
2019-09-11  8:43 Agostino Sarubbo
2019-09-11  8:20 Agostino Sarubbo
2019-09-10 15:58 Aaron Bauman
2019-09-10  7:00 Sergei Trofimovich
2019-09-10  6:56 Sergei Trofimovich
2019-09-10  6:51 Sergei Trofimovich
2019-08-28 16:12 David Seifert
2019-07-26  6:42 Sergei Trofimovich
2019-06-23 11:48 Sergei Trofimovich
2019-05-15  7:46 Sergei Trofimovich
2019-03-10 15:37 Mikle Kolyada
2019-02-24 19:20 Markus Meier
2019-02-17 22:35 Thomas Deutschmann
2019-02-16 23:31 Sergei Trofimovich
2019-02-12 21:03 Sergei Trofimovich
2019-02-12  8:56 Mikle Kolyada
2019-02-09 19:29 Sergei Trofimovich
2019-02-08 20:35 Sergei Trofimovich
2019-02-08 19:53 Sergei Trofimovich
2019-01-01 15:14 Sergei Trofimovich
2018-11-07 15:00 Mart Raudsepp
2018-09-19  8:55 Sergei Trofimovich
2018-06-03 11:12 Sergei Trofimovich
2018-03-26 12:42 Lars Wendler
2018-03-15 14:17 Mikle Kolyada
2018-02-01 20:37 Thomas Deutschmann
2018-01-29 15:08 Lars Wendler
2018-01-29 15:01 Lars Wendler
2018-01-21 10:28 Sergei Trofimovich
2018-01-20 16:49 Tobias Klausmann
2018-01-15 19:03 Tobias Klausmann
2018-01-14 12:01 Sergei Trofimovich
2018-01-14 11:50 Sergei Trofimovich
2018-01-13 19:29 Sergei Trofimovich
2017-11-26 20:16 Sergei Trofimovich
2017-07-30  8:47 Michał Górny
2017-03-28 20:13 Sergei Trofimovich
2017-03-18 11:50 Jeroen Roovers
2017-03-16  7:06 Michael Weber
2017-03-10 12:53 Agostino Sarubbo
2017-03-10 10:59 Agostino Sarubbo
2017-03-10  9:09 Agostino Sarubbo
2017-03-07 10:08 Tobias Klausmann
2017-03-06  9:45 Lars Wendler
2017-03-05 22:44 Sergei Trofimovich
2017-01-29 14:59 Fabian Groffen
2016-10-02 21:09 Sergei Trofimovich
2016-10-02 21:09 Sergei Trofimovich
2016-08-07  6:52 Pacho Ramos
2016-05-09 18:45 Sergei Trofimovich
2016-05-08 17:41 Sergei Trofimovich
2016-05-08 17:41 Sergei Trofimovich
2016-05-08 12:22 Sergei Trofimovich
2016-04-16 13:15 Sergei Trofimovich
2016-04-16  9:30 Sergei Trofimovich
2016-04-05 19:46 Jeroen Roovers
2016-03-30 18:26 Markus Meier
2016-03-23  7:11 Lars Wendler
2016-03-14 22:12 Agostino Sarubbo
2015-11-09  9:30 Sergei Trofimovich
2015-11-09  9:30 Sergei Trofimovich
2015-10-11 13:42 Markus Meier
2015-09-26  7:00 Jeroen Roovers
2015-09-23 12:52 Agostino Sarubbo
2015-09-22  8:57 Agostino Sarubbo
2015-09-19 12:32 Agostino Sarubbo
2015-09-17 10:42 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1611261941.4a0405746f17dfeca044a624ae8508d6118c84ea.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox